## org.apache.mahout.clustering.spectral.eigencuts
Class EigencutsSensitivityNode

    java.lang.Object
      org.apache.mahout.clustering.spectral.eigencuts.EigencutsSensitivityNode

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public class EigencutsSensitivityNode

extends java.lang.Object
implements org.apache.hadoop.io.Writable

This class allows the storage of computed sensitivities in an unordered fashion, instead having each sensitivity track its own (i, j) coordinate. Thus these objects can be stored as elements in any list or, in particular, Writable array.

Constructor Summary
`EigencutsSensitivityNode(int i, int j, double s)`

Method Summary
`int` `getColumn()`
`int` `getRow()`
`double` `getSensitivity()`
`void` `readFields(java.io.DataInput in)`
`void` `write(java.io.DataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EigencutsSensitivityNode

    public EigencutsSensitivityNode(int i,
                                    int j,
                                    double s)

Method Detail

### readFields

    public void readFields(java.io.DataInput in)
                    throws java.io.IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.DataOutput out)
               throws java.io.IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### getRow

    public int getRow()

### getColumn

    public int getColumn()

### getSensitivity

    public double getSensitivity()

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.